---
title: List downloads
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Stream](https://developers.cloudflare.com/api/go/resources/stream)

[Downloads](https://developers.cloudflare.com/api/go/resources/stream/subresources/downloads)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List downloads

client.Stream.Downloads.Get(ctx, identifier, query) (\*[DownloadGetResponse](<https://developers.cloudflare.com/api/go/resources/stream#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/stream/{identifier}/downloads

Lists the downloads created for a video.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

identifier string

A Cloudflare-generated unique identifier for a media item.

maxLength32

[Link to this property](<#(resource)%20stream.downloads%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

<details>

<summary>

query DownloadGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20stream.downloads%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.downloads%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DownloadGetResponse struct{…}

An object with download type keys. Each key is optional and only present if that download type has been created.

</summary>

<details>

<summary>

Audio DownloadGetResponseAudioOptional

The audio-only download. Only present if this download type has been created.

</summary>

PercentComplete float64

Indicates the progress as a percentage between 0 and 100.

maximum100

minimum0

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20percentComplete">Link to this property</a>

<details>

<summary>

Status DownloadGetResponseAudioStatus

The status of a generated download.

</summary>

One of the following:

const DownloadGetResponseAudioStatusReady DownloadGetResponseAudioStatus = "ready"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const DownloadGetResponseAudioStatusInprogress DownloadGetResponseAudioStatus = "inprogress"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const DownloadGetResponseAudioStatusError DownloadGetResponseAudioStatus = "error"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20status">Link to this property</a>

URL stringOptional

The URL to access the generated download.

formaturi

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20audio">Link to this property</a>

<details>

<summary>

Default DownloadGetResponseDefaultOptional

The default video download. Only present if this download type has been created.

</summary>

PercentComplete float64

Indicates the progress as a percentage between 0 and 100.

maximum100

minimum0

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20percentComplete">Link to this property</a>

<details>

<summary>

Status DownloadGetResponseDefaultStatus

The status of a generated download.

</summary>

One of the following:

const DownloadGetResponseDefaultStatusReady DownloadGetResponseDefaultStatus = "ready"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const DownloadGetResponseDefaultStatusInprogress DownloadGetResponseDefaultStatus = "inprogress"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const DownloadGetResponseDefaultStatusError DownloadGetResponseDefaultStatus = "error"

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20status">Link to this property</a>

URL stringOptional

The URL to access the generated download.

formaturi

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)%20%3E%20(property)%20default">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.downloads%20%3E%20(model)%20DownloadGetResponse%20%3E%20(schema)>)

### List downloads

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  download, err := client.Stream.Downloads.Get(
    context.TODO(),
    "ea95132c15732412d22c1476fa83f27a",
    stream.DownloadGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", download.Audio)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}
```